Skip to main content
Server path: /bitbucket-pullrequests | Type: Application | PCID required: Yes

Tools


bitbucket_pullrequests_approve_pull_request

Approve a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_create_pull_request

Create a pull request Parameters:
ParameterTypeRequiredDefaultDescription
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.
authorobjectNoThe author value
close_source_branchbooleanNoA boolean flag indicating if merging the pull request closes the source branch.
closed_byobjectNoClosed By
comment_countintegerNoThe number of comments for a specific pull request.
created_onstringNoThe ISO8601 timestamp the request was created.
destinationobjectNoThe destination value
draftbooleanNoA boolean flag indicating whether the pull request is a draft.
idintegerNoThe pull request’s unique ID. Note that pull request IDs are only unique within their associated repository.
linksobjectNoThe links value
merge_commitobjectNoMerge Commit
mergeablebooleanNoA boolean flag indicating whether the pull request passes all merge checks
participantsany[]NoThe list of users that are collaborating on this pull request. Collaborators are user that: * are added to the pull request as a reviewer (part of the reviewers list) * are not explicit reviewers, but have commented on the pull request * are not explicit reviewers, but have approved the pull request Each user is wrapped in an object that indicates the user’s role and whether they have approved the pull request. For performance reasons, the API only returns this list when an API requests a pull request by id.
queuedbooleanNoA boolean flag indicating whether the pull request is queued
reasonstringNoExplains why a pull request was declined. This field is only applicable to pull requests in rejected state.
renderedobjectNoUser provided pull request text, interpreted in a markup language and rendered in HTML
reviewersany[]NoThe list of users that were added as reviewers on this pull request when it was created. For performance reasons, the API only includes this list on a pull request’s self URL.
sourceobjectNoThe source value
statestringNoThe pull request’s current status.
summaryobjectNoThe summary value
task_countintegerNoThe number of open tasks for a specific pull request.
titlestringNoTitle of the pull request.
typestringNoThe type value
updated_onstringNoThe ISO8601 timestamp the request was last updated.

bitbucket_pullrequests_create_pull_request_comment

Create a comment on a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.
contentobjectNoThe content value
created_onstringNoCreated On
deletedbooleanNoThe deleted value
idintegerNoThe id value
inlineobjectNoThe inline value
linksobjectNoThe links value
parentobjectNoCircular schema reference: #/components/schemas/comment
pendingbooleanNoThe pending value
pullrequestobjectNoThe pullrequest value
resolutionobjectNoThe resolution object for a Comment.
typestringYesThe type value
updated_onstringNoUpdated On
userobjectNoThe user value

bitbucket_pullrequests_decline_pull_request

Decline a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_delete_pull_request_comment

Delete a comment on a pull request Parameters:
ParameterTypeRequiredDefaultDescription
comment_idintegerYesThe id of the comment.
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_get_pull_request

Get a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_get_pull_request_comment

Get a comment on a pull request Parameters:
ParameterTypeRequiredDefaultDescription
comment_idintegerYesThe id of the comment.
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_get_pull_request_diff

List changes in a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_get_pull_request_diffstat

Get the diff stat for a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_list_default_reviewers

List default reviewers Parameters:
ParameterTypeRequiredDefaultDescription
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_list_pull_request_activity

List a pull request activity log Parameters:
ParameterTypeRequiredDefaultDescription
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_list_pull_request_comments

List comments on a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_list_pull_request_commits

List commits on a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_list_pull_request_statuses

List commit statuses for a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.
qstringNoQuery string to narrow down the response as per filtering and sorting.
sortstringNoField by which the results should be sorted as per filtering and sorting. Defaults to created_on.

bitbucket_pullrequests_list_pull_requests

List pull requests Parameters:
ParameterTypeRequiredDefaultDescription
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.
statestringNoOnly return pull requests that are in this state. This parameter can be repeated.

bitbucket_pullrequests_merge_pull_request

Merge a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.
asyncbooleanNoDefault value is false. When set to true, runs merge asynchronously and immediately returns a 202 with polling link to the task-status API in the Location header. When set to false, runs merge and waits for it to complete, returning 200 when it succeeds. If the duration of the merge exceeds a timeout threshold, the API returns a 202 with polling link to the task-status API in the Location header.
close_source_branchbooleanNoWhether the source branch should be deleted. If this is not provided, we fallback to the value used when the pull request was created, which defaults to False
merge_strategystringNoThe merge strategy that will be used to merge the pull request.
messagestringNoThe commit message that will be used on the resulting commit. Note that the size of the message is limited to 128 KiB.
typestringNoThe type value

bitbucket_pullrequests_unapprove_pull_request

Unapprove a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.

bitbucket_pullrequests_update_pull_request

Update a pull request Parameters:
ParameterTypeRequiredDefaultDescription
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.
authorobjectNoThe author value
close_source_branchbooleanNoA boolean flag indicating if merging the pull request closes the source branch.
closed_byobjectNoClosed By
comment_countintegerNoThe number of comments for a specific pull request.
created_onstringNoThe ISO8601 timestamp the request was created.
destinationobjectNoThe destination value
draftbooleanNoA boolean flag indicating whether the pull request is a draft.
idintegerNoThe pull request’s unique ID. Note that pull request IDs are only unique within their associated repository.
linksobjectNoThe links value
merge_commitobjectNoMerge Commit
mergeablebooleanNoA boolean flag indicating whether the pull request passes all merge checks
participantsany[]NoThe list of users that are collaborating on this pull request. Collaborators are user that: * are added to the pull request as a reviewer (part of the reviewers list) * are not explicit reviewers, but have commented on the pull request * are not explicit reviewers, but have approved the pull request Each user is wrapped in an object that indicates the user’s role and whether they have approved the pull request. For performance reasons, the API only returns this list when an API requests a pull request by id.
queuedbooleanNoA boolean flag indicating whether the pull request is queued
reasonstringNoExplains why a pull request was declined. This field is only applicable to pull requests in rejected state.
renderedobjectNoUser provided pull request text, interpreted in a markup language and rendered in HTML
reviewersany[]NoThe list of users that were added as reviewers on this pull request when it was created. For performance reasons, the API only includes this list on a pull request’s self URL.
sourceobjectNoThe source value
statestringNoThe pull request’s current status.
summaryobjectNoThe summary value
task_countintegerNoThe number of open tasks for a specific pull request.
titlestringNoTitle of the pull request.
typestringNoThe type value
updated_onstringNoThe ISO8601 timestamp the request was last updated.

bitbucket_pullrequests_update_pull_request_comment

Update a comment on a pull request Parameters:
ParameterTypeRequiredDefaultDescription
comment_idintegerYesThe id of the comment.
pull_request_idintegerYesThe id of the pull request.
repo_slugstringYesThis can either be the repository slug or the UUID of the repository, surrounded by curly-braces, for example: {repository UUID}.
workspacestringYesThis can either be the workspace ID (slug) or the workspace UUID surrounded by curly-braces, for example: {workspace UUID}.
contentobjectNoThe content value
created_onstringNoCreated On
deletedbooleanNoThe deleted value
idintegerNoThe id value
inlineobjectNoThe inline value
linksobjectNoThe links value
parentobjectNoCircular schema reference: #/components/schemas/comment
pendingbooleanNoThe pending value
pullrequestobjectNoThe pullrequest value
resolutionobjectNoThe resolution object for a Comment.
typestringYesThe type value
updated_onstringNoUpdated On
userobjectNoThe user value